<!DOCTYPE html>
<html lang="de">

<head>
	<title>Finale + JavaScript | Adventskalender 2012 | Webkrauts</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	<link rel="stylesheet" type="text/css" href="css/custom.css"/>
</head>

<body>
<div id="wrapper">
	<h1>BZWU - Adventskalender</h1>

	<ol id="ak2012">
		<li class="active" id="ak1">
			<a href="http://webkrauts.de/artikel/2012/responsive-images">
				<p>Responsive Images</p>
				<h2>Optimiert für Groß und Klein</h2>
				<p>von Christoph Zillgens am 1.12.2012</p>
				<p class="teaser">Responsive Webdesign macht seit geraumer Zeit die Runde. Während sich langsam Best
					Practices und sinnvolle Techniken etablieren, gibt es einen Bereich, der etwas kniffliger zu lösen
					ist: Die Rede ist von Responsive Images – reaktionsfähigen Bildern, für die an einer
					HTML-Erweiterung gearbeitet wird.</p>
				<div class="left"><span aria-hidden="true">1</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak2">
			<a href="http://webkrauts.de/artikel/2012/adobe-brackets">
				<p>Adobe Brackets</p>
				<h2>Ein Webeditor für Webworker?</h2>
				<p>von Matthias Slovig am 2.12.2012</p>
				<p class="teaser">Mit Brackets geht Adobe neue Wege in Sachen Quellcodeeditoren fürs Web. Die Live
					Preview macht es unnötig, die Seite im Browser ständig neu zu laden. Per Quick Edit lässt sich CSS
					direkt in der HTML-Datei bearbeiten. Die neuen Ansätze könnten die tägliche Arbeit eines jeden
					Webworkers erleichtern.</p>
				<div class="left"><span aria-hidden="true">2</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak3">
			<a href="http://webkrauts.de/artikel/2012/build-tool-grunt">
				<p>Build-Tool für Webworker</p>
				<h2>(Bessere) Projekt-Pakete schnüren mit Grunt</h2>
				<p>von Frederic Hemberger am 3.12.2012</p>
				<p class="teaser">Mit Grunt gibt es ein neues Tool, das hilft, wiederkehrende Aufgaben in
					Frontend-Projekten zu automatisieren. Einmal konfiguriert ist das Testen und Ausliefern selbst bei
					umfangreichen Projekten problemlos möglich – und eignet sich so auch für die gemeinsame Entwicklung
					in Teams.</p>
				<div class="left"><span aria-hidden="true">3</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak4">
			<a href="http://webkrauts.de/artikel/2012/techniken-zur-schriftglaettung-rasterizer">
				<p>Techniken zur Schriftglättung</p>
				<h2>Vom Vektor zum Pixel: Rasterizer</h2>
				<p>von Gerrit van Aaken am 4.12.2012</p>
				<p class="teaser">Digitale Fonts sind meist aus Vektoren aufgebaut. Um diese auf dem pixelbasierten
					Bildschirm darzustellen, muss sich das Betriebssystem etwas einfallen lassen. Die verschiedenen
					sogenannten Rasterizer von Windows, OS X und Co. setzen dabei unterschiedliche visuelle
					Schwerpunkte.</p>
				<div class="left"><span aria-hidden="true">4</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak5">
			<a href="http://webkrauts.de/artikel/2012/processwire">
				<p>CMS</p>
				<h2>ProcessWire</h2>
				<p>von Michael van Laar am 5.12.2012</p>
				<p class="teaser">Webdesigner, die möglichst schnell vom HTML-Dummy zu einer funktionierenden Website
					gelangen wollen, sollten einen Blick auf das CMS ProcessWire werfen. ProcessWire ist zwar noch nicht
					sehr verbreitet. Doch es besticht durch seine Reduktion aufs Wesentliche und seine große
					Flexibilität.</p>
				<div class="left"><span aria-hidden="true">5</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak6">
			<a href="http://webkrauts.de/artikel/2012/plaedoyer-fuer-adobe-fireworks">
				<p>Adobe Fireworks - Plädoyer für den Einsatz mediengerechter Software</p>
				<h2>Arbeiten am Rande der Effizienz</h2>
				<p>von Olaf Gleba am 6.12.2012</p>
				<p class="teaser">Obgleich alleine der Name der Software Adobe Photoshop kaum Zweifel daran lässt,
					welchen Anwendungsbereich der Hersteller für die Software vorsieht, wird sie von vielen Webworkern
					kurioserweise für das grafische Design von Webanwendungen eingesetzt. Auch wenn mit Fireworks vom
					selben Anbieter eine dezidierte Software für diesen Aufgabenbereich angeboten wird. Ein pointierter
					Einblick in den Alltag eines freiberuflichen Designers.</p>
				<div class="left"><span aria-hidden="true">6</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak7">
			<a href="http://webkrauts.de/artikel/2012/css-modularisierung-mit-sass">
				<p>CSS-Modularisierung mit Sass</p>
				<h2>Komplexe Stylesheets strukturieren</h2>
				<p>von Mathias Schäfer am 7.12.2012</p>
				<p class="teaser">Sass ist eine Meta-Sprache, mit der sich CSS cleverer schreiben lässt. Das neue
					Sass-Feature der Platzhalter-Selektoren macht insbesondere komplexes CSS wartbarer.</p>
				<div class="left"><span aria-hidden="true">7</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak8">
			<a href="http://webkrauts.de/artikel/2012/kleiner-fallstrick-bei-html5-videos">
				<p>HTML5</p>
				<h2>Kleiner Fallstrick bei Videos</h2>
				<p>von Jens Grochtdreis am 8.12.2012</p>
				<p class="teaser">Mit dem eigenen Video-Element sollten in HTML5 alle Probleme gelöst sein, die wir mit
					Flash jemals hatten. Doch so ganz stimmt das leider nicht.</p>
				<div class="left"><span aria-hidden="true">8</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak9">
			<a href="http://webkrauts.de/artikel/2012/seo-vs-usability-gemeinsam-klappt-es-besser">
				<p>SEO vs. Usability</p>
				<h2>Gemeinsam klappt es besser</h2>
				<p>von Stefan David am 9.12.2012</p>
				<p class="teaser">Von Seiten der Webentwickler gibt es oftmals Vorbehalte gegen die Arbeit von
					Suchmaschinenoptimierern. Das angespannte Verhältnis zwischen den beiden und die ggf.
					unterschiedlichen Sichtweisen zeigten sich z. B. bei einem aus Usabilitysicht misslungenen Relaunch
					und der nachfolgenden Diskussion. Ein Plädoyer für die verbesserte Zusammenarbeit – statt die Gräben
					zu vertiefen.</p>
				<div class="left"><span aria-hidden="true">9</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak10">
			<a href="http://webkrauts.de/artikel/2012/icon-fonts-visuelle-semantik-neu-entdecken">
				<p>Icon Fonts</p>
				<h2>Visuelle Semantik neu entdecken</h2>
				<p>von Henry Zeitler am 10.12.2012</p>
				<p class="teaser">Icons sind, wenn richtig eingesetzt, bedeutungsvoll und intuitiv. Sie führen den
					Benutzer einer Website zur gewünschten Aktion und sind somit ein wichtiger Blickfang. Heute, in
					Zeiten der Optimierung für Mobile-Devices und besonders des Responsive Webdesigns erfahren die Icons
					als Fonts eine Renaissance.</p>
				<div class="left"><span aria-hidden="true">10</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak11">
			<a href="http://webkrauts.de/artikel/2012/css3-flexbox-abloesung-fuer-float-layouts">
				<p>CSS3 Flexbox</p>
				<h2>Ablösung für Float-Layouts</h2>
				<p>von Stephan Heller am 11.12.2012</p>
				<p class="teaser">Mehrspaltige Designs setzen Webworker heutzutage mit Floats um. Das mag sich in
					Zukunft ändern. Denn mit dem CSS3-Modul Flexbox steht eine nützliche Alternative in den
					Startlöchern. HTML-Elemente können damit spalten- oder zeilenweise angezeigt werden, die Reihenfolge
					der Elemente lässt sich steuern und Breiten oder Höhen passen sich automatisch an.</p>
				<div class="left"><span aria-hidden="true">11</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak12">
			<a href="http://webkrauts.de/artikel/2012/erweiterungen-fuer-fireworks-noch-schneller-und-effektiver-designen">
				<p>Erweiterungen für Adobe Fireworks</p>
				<h2>Noch schneller und effektiver designen</h2>
				<p>von Michel Balzer am 12.12.2012</p>
				<p class="teaser">In der letzten Woche haben wir euch Fireworks fürs Webdesign ans Herz gelegt. Heute
					gibt es einen Nachschlag. Es geht darum, den Funktionsumfang von Fireworks mit Erweiterungen zu
					verbessern.</p>
				<div class="left"><span aria-hidden="true">12</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak13">
			<a href="http://webkrauts.de/artikel/2012/authoring-tool-accessibility-guidelines-2.0">
				<p>Authoring Tool Accessibility Guidelines 2.0</p>
				<h2>Barrierefreiheit fürs Backend</h2>
				<p>von Kerstin Probiesch am 13.12.2012</p>
				<p class="teaser">Barrierefreiheit ist mehr als äußerliche Kosmetik. Auch die inneren Werte zählen –
					nicht nur Webseiten und Webapplikationen sollten barrierefrei sein, sondern auch die Werkzeuge und
					Redaktionssysteme, mit denen sie erzeugt werden. Mit der ATAG 2.0 reift dafür eine Richtlinie
					heran.</p>
				<div class="left"><span aria-hidden="true">13</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak14">
			<a href="http://webkrauts.de/artikel/2012/frontendentwicklung-stets-zu-diensten-yeoman">
				<p>Frontendentwicklung</p>
				<h2>Stets zu Diensten: Yeoman</h2>
				<p>von Ralf Graf am 14.12.2012</p>
				<p class="teaser">Moderne Frontendentwicklung benötigt viele Bibliotheken und Werkzeuge. Yeoman
					verspricht, diese als installierbare Pakete zugänglich zu machen und in einen einheitlichen Workflow
					zu packen.</p>
				<div class="left"><span aria-hidden="true">14</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak15">
			<a href="http://webkrauts.de/artikel/2012/sublime-text-2">
				<p>Sublime Text 2</p>
				<h2>Ein Texteditor zum Verlieben</h2>
				<p>von Matthias Mees am 15.12.2012</p>
				<p class="teaser">»Aller Anfang ist schwer« – das gilt auch für Texteditoren. Sublime Text 2 ist
					grundsätzlich einfach gehalten, aber leicht erweiterbar. Er versucht, den Einstieg mit ein paar
					interessanten Bedienkonzepten zu erleichtern, die das mühsame Erlernen und Verinnerlichen von
					Tastaturkürzeln leichter machen sollen.</p>
				<div class="left"><span aria-hidden="true">15</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak16">
			<a href="http://webkrauts.de/artikel/2012/client-server-kommunikation-mit-socketio">
				<p>Client-Server-Kommunikation mit Socket.io</p>
				<h2>Wenn’s mal wieder schneller gehen muss…</h2>
				<p>von Frederic Hemberger am 16.12.2012</p>
				<p class="teaser">Will man Informationen möglichst in Echtzeit zwischen Client und Server austauschen,
					kann das Nachladen von Inhalten in Intervallen mittels Ajax zu unpraktisch sein. Eine einfache, aber
					vielseitig einsetzbare Methode bietet Socket.io.</p>
				<div class="left"><span aria-hidden="true">16</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="active" id="ak17">
			<a href="http://webkrauts.de/artikel/2012/meinung-ausnahmen-von-best-practices">
				<p>Meinung: Ausnahmen von Best Practices</p>
				<h2>Darf man nicht? Darf man wohl!</h2>
				<p>von Nicolai Schwarz am 17.12.2012</p>
				<p class="teaser">Geht nicht! Gibt’s nicht! Darf man nicht! Bei bestimmten Themen weiß jeder Webworker
					reflexartig, was sich gehört und wie man es richtig macht. Alles andere ist böse! Darf das HTML oder
					CSS vielleicht auch mal nicht validieren? Darf ein Webworker target="_blank" nicht doch benutzen?
					Darf er nicht? Doch, darf er. Wenn er einen guten Grund dafür vorweisen kann.</p>
				<div class="left"><span aria-hidden="true">17</span></div>
				<div class="right"></div>
			</a>
		</li>
		<li class="inactive" id="ak18" title="Der heutige Artikel wird im Laufe des Vormittags veröffentlicht.">
			<p>Der heutige Artikel wird im Laufe des Vormittags veröffentlicht.</p>
			<div class="left"><span aria-hidden="true">18</span></div>
			<div class="right"></div>
		</li>
		<li class="inactive" id="ak19" title="Dieses Türchen öffnet sich erst am 19. Dezember.">
			<p>Dieses Türchen öffnet sich erst am 19. Dezember.</p>
			<div class="left"><span aria-hidden="true">19</span></div>
			<div class="right"></div>
		</li>
		<li class="inactive" id="ak20" title="Dieses Türchen öffnet sich erst am 20. Dezember.">
			<p>Dieses Türchen öffnet sich erst am 20. Dezember.</p>
			<div class="left"><span aria-hidden="true">20</span></div>
			<div class="right"></div>
		</li>
		<li class="inactive" id="ak21" title="Dieses Türchen öffnet sich erst am 21. Dezember.">
			<p>Dieses Türchen öffnet sich erst am 21. Dezember.</p>
			<div class="left"><span aria-hidden="true">21</span></div>
			<div class="right"></div>
		</li>
		<li class="inactive" id="ak22" title="Dieses Türchen öffnet sich erst am 22. Dezember.">
			<p>Dieses Türchen öffnet sich erst am 22. Dezember.</p>
			<div class="left"><span aria-hidden="true">22</span></div>
			<div class="right"></div>
		</li>
		<li class="inactive" id="ak23" title="Dieses Türchen öffnet sich erst am 23. Dezember.">
			<p>Dieses Türchen öffnet sich erst am 23. Dezember.</p>
			<div class="left"><span aria-hidden="true">23</span></div>
			<div class="right"></div>
		</li>
		<li class="inactive" id="ak24" title="Dieses Türchen öffnet sich erst am 24. Dezember.">
			<p>Dieses Türchen öffnet sich erst am 24. Dezember.</p>
			<div class="left"><span aria-hidden="true">24</span></div>
			<div class="right"></div>
		</li>
	</ol>

</div>

<script src="js/jquery-3.1.1.min.js"></script>
<script>
	$( document ).ready( function () {
		$( window ).scroll( function () {
			$( 'body' ).addClass( 'js' );
			if ( $( window ).scrollTop() > 10 ) {
				for ( var i = 1; i < 25; i++ ) {
					if ( $( '#ak' + i ).hasClass( 'active' ) ) {
						$( '#ak' + i + ' .left' ).delay( i * 80 ).animate( {left: '-125px'}, 5 );
						$( '#ak' + i + ' .right' ).delay( i * 80 ).animate( {left: '250px'}, 5 );
					}
				}
			}
		} );
	} );
</script>

</body>

</html>

